Package org.apache.solr.client.solrj.request

# Class CoresApi

java.lang.Object
org.apache.solr.client.solrj.request.CoresApi

public class CoresApi extends Object
Experimental `SolrRequest`s for cores, generated from an OAS.

See individual request and response classes for more detailed and relevant information.

All SolrRequest implementations rely on v2 APIs which may require a SolrClient configured to use the '/api' path prefix, instead of '/solr'.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CoresApi.CreateCore`
`static class`
`CoresApi.GetAllCoreStatus`
`static class`
`CoresApi.GetCoreStatus`
`static class`
`CoresApi.InstallCoreData`
`static class`
`CoresApi.MergeIndexes`
`static class`
`CoresApi.ReloadCore`
`static class`
`CoresApi.RenameCore`
`static class`
`CoresApi.RestoreCore`
`static class`
`CoresApi.SwapCores`
`static class`
`CoresApi.UnloadCore`

## Constructor Summary

Constructors
Constructor
Description
`CoresApi()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoresApi

public CoresApi()